@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
}

:root {
    --neutro50: #D3F2D6;
    --neutro100: #A7E4AC;
    --neutro200: #7CD783;
    --neutro300: #50CA59;
    --neutro400: #34AC3E;
    --neutro500: #27802E;
    --neutro600: #1F6625;
    --neutro700: #174D1C;
    --neutro800: #103312;
    --neutro900: #081A09;
    --primary50: #E4F6D6;
    --primary100: #CAEDAE;
    --primary200: #AFE585;
    --primary300: #94DC5C;
    --primary400: #79D334;
    --primary500: #62AF26;
    --primary600: #4E8C1E;
    --primary700: #3B6917;
    --primary800: #27460F;
    --primary900: #142308;
    --secundary50: #BFFCDC;
    --secundary100: #7FF9B9;
    --secundary200: #3FF696;
    --secundary300: #0BE673;
    --secundary400: #08A653;
    --secundary500: #056633;
    --secundary600: #045229;
    --secundary700: #033D1F;
    --secundary800: #022914;
    --secundary900: #01140A;
    --small-s: 12px;
    --small: 14px;
    --paragraph-s: 14px;
    --paragraph: 16px;
    --h6-s: 16px;
    --h6: 20px;   /*h3*/
    --h5-s: 20px;
    --h5: 25px;   /*h2*/
    --h4-s: 25px;
    --h4: 31.3px; /*h1*/
    --h3-s: 31.3px;
    --h3: 39.1px;
    --h2-s: 39.1px;
    --h2: 48px;
    --h1-s: 48px;
    --h1: 61px;
}

button:disabled {
    background-color: #d1d5db;
    color: #6b7280;
    cursor: not-allowed !important;
    opacity: 0.7;
    border: none;
}

.container .h1 {font-size: var(--h4);}
.container .h2 {font-size: var(--h5);}
.container .h3 {font-size: var(--h6);}
.container .paragraph {font-size: var(--paragraph);}
.container .small {font-size: var(--small);}

/* ENCABEZADO */

/* ENCABEZADO CONTACTO */
.container .contact-h {display: flex; justify-content: space-between; padding: 10px 20px; background-color: var(--primary50);}
.container .contact-h .contactos h2 {margin-bottom: 5px;}
.container .contact-h .contactos ul {display: flex; flex-direction: column; list-style: none; gap: 10px;}
.container .contact-h .contactos ul > li {display: inline-flex; align-items: center; gap: 5px;}
.container .contact-h .contactos ul > li > img {width: 20px; height: 20px;}
.container .contact-h .group {display: flex; flex-direction: column; gap: 5px; align-items: center; justify-content: center;}
.container .contact-h .group > .logo {width: 50px; height: 50px;}
.container .contact-h .group > .logo > img {width: 100%; height: 100%; border-radius: 50%;}
.container .contact-h .group > .siguenos {display: flex; gap: 5px; align-items: center; flex-direction: column;}
.container .contact-h .group > .siguenos > .redes {display: flex; width: 100%; justify-content: space-between;}

.container .header {
    width: 100%;
    padding: 10px 16px;
    background-color: var(--secundary500);
    display: inline-flex;
    justify-content: space-between;
    align-items: center;
    gap: 16px;
}
.container .header a {
    text-decoration: none;
    color: #fff;
}

/* ENCABEZADO logo y titulo */
.container .header .header-index {
    display: inline-flex;
    align-items: center;
    gap: 10px;
}
.container .header .logo {
    width: 50px;
    height: 50px;
}
.container .header .logo img {
    width: 100%;
    height: 100%;
    border-radius: 50%;
}
.container .header h1 {
    font-size: var(--h4);
}

/* ENCABEZADO navegador */
.container .header nav ul {
    list-style: none;
    display: inline-flex;
    gap: 10px;
}
.container .header nav li a {
    padding: 10px 15px;
    font-size: var(--paragraph);
    background-color: var(--secundary500);
}
.container .header nav li a:hover {
    border-bottom: 3px solid var(--primary50);
}
.container .header nav li ul {display: none; position: absolute; min-width: 140px; z-index: 10;}
.container .header nav li:hover > ul {display: block;}
.container .header nav li ul li {position: relative;}
.container .header nav li ul li > a {width: 100%; display: inline-block; padding: 5px 12px;}

/* PROMOCION SPAN */
.container .promocion {
    padding: 8px;
    text-align: center;
    background-color: var(--secundary300);
    color: var(--secundary900);
    font-weight: 500;
}

/* VECTOR SVG */
.onda-vector {
  width: 100%;
  height: 100px;
  position: absolute;
  left: 0;
  top: 0;
  z-index: 3;
}
.onda-vector > .onda-content-svg {
  width: 100%;
  height: auto;
  position: absolute;
  bottom: 98px;
  left: 0;
}
.onda-vector > .onda-content-svg img {
  width: 100%;
  height: auto;
  position: absolute;
  left: 0;
  bottom: 0;
}

/* CONTENIDO */
/* ventana flotante de formulario exitoso */
.container #flotante {
    position: fixed;
    top: 10px;
    right: 10px;
    background-color: var(--primary400);
    color: var(--secundary800);
    padding: 10px;
    border: 1px solid #ccc;
    display: none;
    padding-top: 25px;
    z-index: 10;
}
.container #flotante #cerrarBtn {
    width: 25px;
    height: 20px;
    background-color: var(--primary200);
    border: none;
    color: #fff;
    font-size: 16px;
    cursor: pointer;
    position: absolute;
    top: 0;
    right: 0;
    transition: 0.3s;
}
.container #flotante #cerrarBtn:hover {background-color: #fd2626;}


/* formulario de reservacion */
.container .content .mensaje {
    width: 100%;
    grid-column: span 12;
    text-align: center;
}

.container .content .mensaje div {
    margin: 0 auto;
}
.container .content .ventana {
    grid-column: span 12;
    width: 100%;
    background-color: rgba(227, 245, 214, 0.5);
}

.container .content .formReservacion {
    background-color: var(--primary50);
    color: var(--secundary500);
}

.container .content .formReservacion h2 {
    text-align: center;
    margin: 10px 0;
}

.container .content .formReservacion #etapa1 {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 20px;
}
.container .content .formReservacion #etapa1 .bloque {
    grid-column: span 6;
    padding: 10px 15px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.container .content .formReservacion form #etapa1 .bloque .input > ul {padding-left: 20px;}
.container .content .formReservacion #etapa1 .bloque .img {
    width: 80%;
    margin: 0 auto;
}

.container .content .formReservacion #etapa1 .bloque .img img {
    width: 100%;
    height: 100%;
}

.container .content .formReservacion #etapa2 {
    padding: 10px 15px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.container .content .formReservacion #etapa2 input::file-selector-button {
    padding: 10px 5px;
    border-radius: 5px;
    border: 1px solid var(--primary500);
    cursor: pointer;
}

.container .content .formReservacion .formulario-etapa a {
    display: inline-block;
    margin-top: 15px;
    margin-right: 15px;
    padding: 10px 15px;
    background-color: var(--primary500);
    color: var(--primary50);
    border-radius: 10px;
    cursor: pointer;
}

.container .content .formReservacion .formulario-etapa button {
    width: 100px;
    margin-top: 15px;
    padding: 10px 15px;
    background-color: var(--secundary500);
    color: var(--primary50);
    border: none;
    border-radius: 10px;
    cursor: pointer;
    transition: 0.5s;
}
.container .content .formReservacion .formulario-etapa button:hover {
    background-color: var(--primary500);
}

.container .content .formReservacion .formulario-etapa .input {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.container .content .formReservacion .formulario-etapa .input label {
    color: var(--secundary500);
    font-weight: 500;
}

.container .content .formReservacion .formulario-etapa .input input {
    padding: 10px 5px;
    border-radius: 5px;
    border: none;
}

.container .content .formReservacion .formulario-etapa .horizontal {
    flex-direction: row;
}

.container .content .formReservacion .formulario-etapa .boton-x {
    background-color: #f00;
    border: none;
    border-top-right-radius: 20px;
    cursor: pointer;
    font-size: 20px;
    padding: 5px;
    color: #fff;
    position: absolute;
    top: 0;
    right: 0;
}

/* pie de pagina */
.content footer {
    background-color: var(--secundary700);
    color: var(--primary50);
    font-size: var(--small);
    padding: 5px;
    text-align: center;
}

.container footer {
    background-color: var(--secundary700);
    color: var(--primary50);
    font-size: var(--small);
    padding: 5px;
    text-align: center;
}